/*
  $Revision: 1.1.2.3.10.1 $
  $Date: 2012/01/30 21:13:36 $

  NAME:
  weba_session_orig_definition

  TYPE:
  uncompiled macro  

  DESCRIPTION:
  This macro contains the definitions for the fields within the 
  origination_dim.

  SAS VERSION:
  9.2                                               

  INPUT:
  WAWORK.DETAIL_FACT

  OUTPUT:

  CALLS:

  CALLED BY (optional):
  weba_create_session_fact

  PRECONDITIONS (optional):

  POSTCONDITIONS (optional):

  HISTORY:
  userid   date       defectid  desc   
  cabahl   18JUN2010  S0675524  created
  cabahl   05OCT2010  S0706511  added header
  cabahl   05OCT2010  S0705503  added copyright 
  cabahl   30JAN2012  S0801753  corrected typos
------------------------------------------------------------------------------
  Copyright (c) 2005-2011, SAS Institute Inc., Cary, NC, USA, All Rights Reserved     
------------------------------------------------------------------------------
*/

%macro weba_session_orig_definition;
  /* Default origination categorization */
  /* No Referrer */
  if referrer_domain_nm = "&wab_no_referrer_domain" then do;
    origination_nm='Bookmark or Unlisted Campaign';
    origination_type_nm='Organic';
    origination_placement_nm='';
    origination_creative_nm='';
  end;
  /* Referrer */
  else do;
    /* Referrer is not a search site */
    if search_engine_sk = 0 then do;
      origination_nm='Unlisted Campaign';
      origination_type_nm='Organic';
      origination_placement_nm='';
      origination_creative_nm='';
    end;
    /* Referrer a search site */
    else do;
      origination_nm=put(search_engine_sk,se_nm.);
      origination_placement_nm='Search Domain';

      if paid_search_flg eq '1' then do;
        origination_type_nm='Paid Search';
        origination_creative_nm='Keyword Search';
      end;
      else do;
        origination_type_nm='Organic Search';
        origination_creative_nm='Other Search';
      end;
    end; 
  end;

  /*
     Overide default classification
     Set origination categorizations using entry* variables 
  */
  if entry_source_id ne '' then do;
    if entry_source_id = 'SDM' then origination_type_cd='Email';
    else origination_type_cd=entry_source_id;
  end;

  if entry_action_id ne '' then origination_nm = entry_action_id;

  if entryplacement ne '' then origination_placement_nm=entry_placement;
  if entrycreative  ne '' then origination_creative_nm =entry_creative;

%mend;
